import java.io.*;
import java.sql.*;

public class basic
{
    Connection db;
    PreparedStatement st;
    private static final String PROC_TEST = " proc_test( ? )";

    public basic(String args[]) throws ClassNotFoundException, FileNotFoundException, IOException, SQLException
    {
        String url = args[0];
        String usr = args[1];
        String pwd = args[2];

        Class.forName("org.postgresql.Driver");

        System.out.println("Connecting to Database URL = " + url);
        db = DriverManager.getConnection(url, usr, pwd);

        doexample();

        System.out.println("Now closing the connection");
        st.close();
        db.close();

    }

    /*
     * This performs the example
     */
    public void doexample() throws SQLException
    {
        System.out.println("\nRunning tests:");

        st = db.prepareStatement("SELECT * FROM " + PROC_TEST);
        st.setString(1 , "1");
        st.executeQuery();

    }

    /*
     * Display some instructions on how to run the example
     */
    public static void instructions()
    {
        System.out.println("\nThis example tests the basic components of the JDBC driver, demonstrating\nhow to build simple queries in java.\n");
        System.out.println("Useage:\n java example.basic jdbc:postgresql:database user password [debug]\n\nThe debug field can be anything. It's presence will enable DriverManager's\ndebug trace. Unless you want to see screens of items, don't put anything in\nhere.");
        System.exit(1);
    }

    /*
     * This little lot starts the test
     */
    public static void main(String args[])
    {
        System.out.println("PostgreSQL basic test v6.3 rev 1\n");

        if (args.length < 3)
            instructions();

        // This line outputs debug information to stderr. To enable this, simply
        // add an extra parameter to the command line
        if (args.length > 3)
            DriverManager.setLogStream(System.err);

        // Now run the tests
        try
        {
            basic test = new basic(args);
        }
        catch (Exception ex)
        {
            System.err.println("Exception caught.\n" + ex);
            ex.printStackTrace();
        }
    }
}
